(define (alpha-threshold filein fileout threshold)
    (set! img (car (gimp-file-load 1 filein filein)))
    (set! draw (car (gimp-image-active-drawable img)))

    (plug-in-threshold-alpha 1 img draw threshold)
  
    (gimp-file-save 1 img draw fileout fileout)
)

(script-fu-register "alpha-threshold"
		    _"<Toolbox>/Xtns/Script-Fu/Batch/Alpha-Threshold"
		    "Yeah, blurbp!"
		    "Arturo Espinosa"
		    "Arturo Espinosa"
		    "Aug 8 2003"
		    ""
		    SF-STRING     "File In"  "somefile"
		    SF-STRING     "File Out" "savefile"
		    SF-ADJUSTMENT "Threshold" '(0 0 256 1 10 0 1)
	)
